Bug 124899 - Xorg will only run at 8bpp on a Sony Vaio C1VE and C1VFK
Xorg will only run at 8bpp on a Sony Vaio C1VE and C1VFK
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 06:33 EDT by des johnston
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 16:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description des johnston 2004-06-01 06:33:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Xorg will only run at 8bpp on my Sony Vaio C1VE 
(and also for C1VFK, reported to me by email). Higher 
values result in a uniformly grey screen once the xserver starts.

This is true both for a hand crafted xorg.conf and one generated
by Xorg -configure.

In FC1 there was no problem at 24bpp. 

No obvious errors are apparent in Xorg.0.log

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run X at > 8bpp:)
2.
3.
    

Actual Results:  Xserver starts but screen is bright grey

Expected Results:  X should have started properly

Additional info:
Comment 1 Mike A. Harris 2004-06-01 06:47:19 EDT
We require more detail in order to investigate this problem, including
the following information:

- X server log file
- X server config file
- /var/log/messages

Please attach these files as individual uncompressed file attachments
using the link below, and we will review them.

Thanks in advance.
Comment 2 des johnston 2004-06-01 11:29:42 EDT
below are XF86Config (being used by Xorg)

output from Xorg.0.log on X startup with this  XF86Config

output from var/log/messages on X startup going from runlevel 3 ->5

====================================================================
# Xorg configuration created by system-config-display
                                                                     
                                                       
Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "USBMouse0"
EndSection
                                                                     
                                                       
Section "Files"
                                                                     
                                                       
         # FontPath      "/usr/X11R6/lib/X11/fonts/URW"
         # FontPath      "/usr/X11R6/lib/X11/fonts/truetype"
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        ModulePath   "/usr/X11R6/lib/modules"
        FontPath     "/usr/X11R6/lib/X11/fonts/misc:unscaled"
        FontPath     "/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
        FontPath     "/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
        FontPath     "/usr/X11R6/lib/X11/fonts/Type1"
        FontPath     "/usr/X11R6/lib/X11/fonts/Speedo"
        FontPath     "/usr/X11R6/lib/X11/fonts/misc"
        FontPath     "/usr/X11R6/lib/X11/fonts/100dpi"
        FontPath     "/usr/X11R6/lib/X11/fonts/75dpi"
EndSection
Section "Module"
                                                                     
                                                       
       # Option        "XkbRules"      "xfree86"
       # Option        "XkbVariant"    "nodeadkeys"
        Load  "GLcore"
        Load  "dbe"
        Load  "dri"
        Load  "extmod"
        Load  "glx"
        Load  "record"
        Load  "v4l"
        Load  "freetype"
        Load  "speedo"
        Load  "type1"
        Load  ""
       # Option        "XkbModel"      "pc105"
EndSection
                                                                     
                                                       
Section "ServerFlags"
        Option      "AllowMouseOpenFail"
        Option      "BlankTime" "5"
        Option      "StandbyTime" "7"
        Option      "SuspendTime" "0"
        Option      "OffTime" "0"
        Option      "NoTrapSignals"
       # Option        DontZap
       # Option        DontZoom
EndSection

Section "InputDevice"
                                                                     
                                                       
       # Option        "XkbVariant"    "nodeadkeys"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbModel" "pc105"
       # Option        "XkbRules"      "xfree86"
        Option      "AutoRepeat" "250 30"
        Option      "XkbLayout" "gb"
EndSection
                                                                     
                                                       
Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "Emulate3Buttons" "yes"
        Option      "Emulate3Timeout" "50"
        Option      "AlwaysCore"
        Option      "ZAxisMapping" "4 5"
EndSection
                                                                     
                                                       
Section "InputDevice"
        Identifier  "USBMouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/usb/mouse"
        Option      "AlwaysCore"
EndSection


Section "Monitor"
        Identifier      "Generic LCD Panel"
        VendorName      "Sony"
        ModelName       "C1VE"
        Modeline        "1024x480" 65.00 1024 1032 1176 1344 480 488
494 560
-hsync -vsync
        Option          "dpms"
#       HorizSync    31.5 - 37.9
#       VertRefresh  50.0 - 70.0
#       Gamma        1
EndSection
                                                                     
                                                       
Section "Device"
        Identifier      "ATI Rage Mobility P/M"
        Driver          "ati"
        BoardName       "Unknown"
                                                                     
                                                       
         ### Available Driver options are:-
         # Option     "NoAccel"
         # Option                "HWcursor"
         # Option     "SWcursor"
         # Option     "Dac6Bit"
         # Option     "Dac8Bit"
         # Option     "ForcePCIMode"
         # Option     "CCEPIOMode"
         # Option     "CCENoSecurity"
         # Option     "CCEusecTimeout"
         # Option     "AGPMode"
         # Option     "AGPSize"
         # Option     "RingSize"
         # Option     "VBListSize"
         # Option     "VBSize"
         # Option     "UseCCEfor2D"
         # Option     "PanelWidth"
         # Option     "PanelHeight"
         # Option     "UseFBDev"
EndSectionSection "Screen"
        Identifier "Screen0"
        Device     "ATI Rage Mobility P/M"
        Monitor    "Generic LCD Panel"
        DefaultDepth     24
        SubSection "Display"
                Depth     8
                Viewport   1024 480
                Virtual   1024 768
                Modes    "1024x480"
        EndSubSection
        SubSection "Display"
                                                                     
                                                       
        # comment out these two lines if you don't want a "virtual X"
                Viewport   1024 480
                Virtual   1024 768
                Depth     16
                Modes    "1024x480" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                                                                     
                                                       
                # comment out these two lines if you don't want a
"virtual X"
                Viewport   1024 480
                Virtual   1024 768
                Depth     24
                Modes    "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                                                                     
                                                       
                # comment out these two lines if you don't want a
"virtual X"
                Viewport   1024 480
                Virtual   1024 768
                Depth     15
                Modes    "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
                                                                     
                                                       
        # Mode 0666
EndSection

===================================================================

here's the Xorg.0.log on using above

Release Date: 18 December 2003
X Protocol Version 11, Revision 0, Release 6.7
Build Operating System: Linux 2.4.21-14.ELsmp i686 [ELF]
Current Operating System: Linux vatersay 2.6.5-1.358 #1 Sat May 8
09:04:50 EDT 2004 i686
Build Date: 07 May 2004
Build Host: tweety.build.redhat.com
                                                                     
                                                       
        Before reporting problems, check http://wiki.X.Org
        to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.5-1.358 (bhcompile@bugs.build.redhat.com)
(gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Sat May 8
09:04:50 EDT 2004
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Jun  1 16:08:07 2004
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "single head configuration"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Generic LCD Panel"
(**) |   |-->Device "ATI Rage Mobility P/M"
(**) |-->Input Device "Keyboard0"
(**) Option "AutoRepeat" "250 30"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "gb"
(**) XKB: layout: "gb"
(==) Keyboard: CustomKeycode disabled
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "USBMouse0"
(**) FontPath set to
"/usr/X11R6/lib/X11/fonts/misc:unscaled,/usr/X11R6/lib/X11/fonts/100dpi:unscaled,/usr/X11R6/lib/X11/fonts/75dpi:unscaled,/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/Speedo,/usr/X11R6/lib/X11/fonts/misc,/usr/X11R6/lib/X11/fonts/100dpi,/usr/X11R6/lib/X11/fonts/75dpi"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(**) ModulePath set to "/usr/X11R6/lib/modules"
(**) Option "NoTrapSignals"
(**) Option "AllowMouseOpenFail"
(**) Option "BlankTime" "5"
(**) Option "StandbyTime" "7"
(**) Option "SuspendTime" "0"
(**) Option "OffTime" "0"
(II) Open APM successful
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.2
        X.Org Video Driver: 0.7
        X.Org XInput driver : 0.4
        X.Org Server Extension : 0.2
        X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
(++) using VT number 7(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1279,0395 card 1279,0295 rev 00 class 06,00,00
hdr 80
(II) PCI: 00:00:1: chip 1279,0396 card 1279,0295 rev 00 class 05,00,00
hdr 80
(II) PCI: 00:00:2: chip 1279,0397 card 1279,0295 rev 00 class 05,00,00
hdr 80
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00
hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80
hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00
hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 03 class 06,80,00
hdr 00
(II) PCI: 00:08:0: chip 104c,8021 card 104d,80b2 rev 02 class 0c,00,10
hdr 00
(II) PCI: 00:09:0: chip 1073,0012 card 104d,80b0 rev 00 class 04,01,00
hdr 00
(II) PCI: 00:0b:0: chip 136b,ff01 card 104d,80b4 rev 01 class 04,80,00
hdr 00
(II) PCI: 00:0c:0: chip 1180,0475 card 4000,0000 rev 80 class 06,07,00
hdr 02
(II) PCI: 00:0d:0: chip 1002,4c52 card 104d,80af rev 64 class 03,00,00
hdr 00
(II) PCI: 01:00:0: chip 10b7,5257 card 10b7,5c57 rev 10 class 02,00,00
hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is
set)
(II) PCI-to-CardBus bridge:
(II) Bus 1: bridge is at (0:12:0), (0,1,4), BCTRL: 0x0500 (VGA_EN is
cleared)
(II) Bus 1 I/O range:
        [0] -1  0       0x00004000 - 0x000040ff (0x100) IX[B]
        [1] -1  0       0x00004400 - 0x000044ff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0       0x10800000 - 0x10bfffff (0x400000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0       0x10400000 - 0x107fffff (0x400000) MX[B]
(--) PCI:*(0:13:0) ATI Technologies Inc Rage Mobility P/M rev 100, Mem
@ 0xfd000000/24, 0xfc105000/12, I/O @ 0x1400/8
(II) Addressable bus resource ranges are
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xfc000000 from 0xfc0fffff to
0xfbffffff
(II) Active PCI resource ranges:
        [0] -1  0       0x10800080 - 0x108000ff (0x80) MX[B]
        [1] -1  0       0x10800000 - 0x1080007f (0x80) MX[B]
        [2] -1  0       0xfc104800 - 0xfc1049ff (0x200) MX[B]
        [3] -1  0       0xfc108000 - 0xfc10ffff (0x8000) MX[B]
        [4] -1  0       0xfc000000 - 0xfbffffff (0x0) MX[B]O
        [5] -1  0       0xfc105000 - 0xfc105fff (0x1000) MX[B](B)
        [6] -1  0       0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [7] -1  0       0x00004000 - 0x0000407f (0x80) IX[B]
        [8] -1  0       0x00001020 - 0x0000103f (0x20) IX[B]
        [9] -1  0       0x00001000 - 0x0000100f (0x10) IX[B]
        [10] -1 0       0x00001400 - 0x000014ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges:
        [0] -1  0       0xfc100000 - 0xfc103fff (0x4000) MX[B]
        [1] -1  0       0xfc104000 - 0xfc1047ff (0x800) MX[B]
        [2] -1  0       0x00001010 - 0x00001013 (0x4) IX[B]
        [3] -1  0       0x00001080 - 0x000010bf (0x40) IX[B]
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0       0x10800080 - 0x108000ff (0x80) MX[B]
        [1] -1  0       0x10800000 - 0x1080007f (0x80) MX[B]
        [2] -1  0       0xfc104800 - 0xfc1049ff (0x200) MX[B]
        [3] -1  0       0xfc108000 - 0xfc10ffff (0x8000) MX[B]
        [4] -1  0       0xfc000000 - 0xfbffffff (0x0) MX[B]O
        [5] -1  0       0xfc105000 - 0xfc105fff (0x1000) MX[B](B)
        [6] -1  0       0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [7] -1  0       0x00004000 - 0x0000407f (0x80) IX[B]
        [8] -1  0       0x00001020 - 0x0000103f (0x20) IX[B]
        [9] -1  0       0x00001000 - 0x0000100f (0x10) IX[B]
        [10] -1 0       0x00001400 - 0x000014ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges after removing overlaps:
        [0] -1  0       0xfc100000 - 0xfc103fff (0x4000) MX[B]
        [1] -1  0       0xfc104000 - 0xfc1047ff (0x800) MX[B]
        [2] -1  0       0x00001010 - 0x00001013 (0x4) IX[B]
        [3] -1  0       0x00001080 - 0x000010bf (0x40) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x107fffff (0x10700000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x107fffff (0x10700000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x10800080 - 0x108000ff (0x80) MX[B]
        [6] -1  0       0x10800000 - 0x1080007f (0x80) MX[B]
        [7] -1  0       0xfc104800 - 0xfc1049ff (0x200) MX[B]
        [8] -1  0       0xfc108000 - 0xfc10ffff (0x8000) MX[B]
        [9] -1  0       0xfc000000 - 0xfbffffff (0x0) MX[B]O
        [10] -1 0       0xfc105000 - 0xfc105fff (0x1000) MX[B](B)
        [11] -1 0       0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [12] -1 0       0xfc100000 - 0xfc103fff (0x4000) MX[B]
        [13] -1 0       0xfc104000 - 0xfc1047ff (0x800) MX[B]
        [14] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [15] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [16] -1 0       0x00004000 - 0x0000407f (0x80) IX[B]
        [17] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [18] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [19] -1 0       0x00001400 - 0x000014ff (0x100) IX[B](B)
        [20] -1 0       0x00001010 - 0x00001013 (0x4) IX[B]
        [21] -1 0       0x00001080 - 0x000010bf (0x40) IX[B]
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"(II) Reloading
/usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.13.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 0.0.1
        ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
        compiled for 6.7.0, module version = 2.1.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "speedo"
(II) Loading /usr/X11R6/lib/modules/fonts/libspeedo.a
(II) Module speedo: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.1
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Speedo
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.2
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "ati"(II) Loading
/usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 6.5.6
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.4
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.5.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets:
        ATI Rage 128 Mobility M3 LE (PCI), ATI Rage 128 Mobility M3 LF
(AGP),
        ATI Rage 128 Mobility M4 MF (AGP), ATI Rage 128 Mobility M4 ML
(AGP),
        ATI Rage 128 Pro GL PA (AGP?), ATI Rage 128 Pro GL PB (AGP?),
        ATI Rage 128 Pro GL PC (AGP?), ATI Rage 128 Pro GL PD (PCI),
        ATI Rage 128 Pro GL PE (AGP?), ATI Rage 128 Pro GL PF (AGP),
        ATI Rage 128 Pro VR PG (AGP?), ATI Rage 128 Pro VR PH (AGP?),
        ATI Rage 128 Pro VR PI (AGP?), ATI Rage 128 Pro VR PJ (AGP?),
        ATI Rage 128 Pro VR PK (AGP?), ATI Rage 128 Pro VR PL (AGP?),
        ATI Rage 128 Pro VR PM (AGP?), ATI Rage 128 Pro VR PN (AGP?),
        ATI Rage 128 Pro VR PO (AGP?), ATI Rage 128 Pro VR PP (PCI),
        ATI Rage 128 Pro VR PQ (AGP?), ATI Rage 128 Pro VR PR (PCI),
        ATI Rage 128 Pro VR PS (AGP?), ATI Rage 128 Pro VR PT (AGP?),
        ATI Rage 128 Pro VR PU (AGP?), ATI Rage 128 Pro VR PV (AGP?),
        ATI Rage 128 Pro VR PW (AGP?), ATI Rage 128 Pro VR PX (AGP?),
        ATI Rage 128 GL RE (PCI), ATI Rage 128 GL RF (AGP),
        ATI Rage 128 RG (AGP), ATI Rage 128 VR RK (PCI),
        ATI Rage 128 VR RL (AGP), ATI Rage 128 4X SE (AGP?),
        ATI Rage 128 4X SF (AGP?), ATI Rage 128 4X SG (AGP?),
        ATI Rage 128 4X SH (AGP?), ATI Rage 128 4X SK (AGP?),
        ATI Rage 128 4X SL (AGP?), ATI Rage 128 4X SM (AGP),
        ATI Rage 128 4X SN (AGP?), ATI Rage 128 Pro ULTRA TF (AGP),
        ATI Rage 128 Pro ULTRA TL (AGP), ATI Rage 128 Pro ULTRA TR (AGP),
        ATI Rage 128 Pro ULTRA TS (AGP?), ATI Rage 128 Pro ULTRA TT
(AGP?),
        ATI Rage 128 Pro ULTRA TU (AGP?)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
        ATI Radeon VE/7000 QY (AGP/PCI), ATI Radeon VE/7000 QZ (AGP/PCI),
        ATI Radeon Mobility M7 LW (AGP),
        ATI Mobility FireGL 7800 M7 LX (AGP),
        ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
        ATI Radeon IGP320 (A3) 4136, ATI Radeon IGP320M (U1) 4336,
        ATI Radeon IGP330/340/350 (A4) 4137,
        ATI Radeon IGP330M/340M/350M (U2) 4337,
        ATI Radeon 7000 IGP (A4+) 4237, ATI Radeon Mobility 7000 IGP 4437,
        ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
        ATI Radeon 9100 QM (AGP), ATI Radeon 8500 AIW BB (AGP),
        ATI Radeon 8500 AIW BC (AGP), ATI Radeon 7500 QW (AGP/PCI),
        ATI Radeon 7500 QX (AGP/PCI), ATI Radeon 9000/PRO If (AGP/PCI),
        ATI Radeon 9000 Ig (AGP/PCI), ATI FireGL Mobility 9000 (M9) Ld
(AGP),
        ATI Radeon Mobility 9000 (M9) Lf (AGP),
        ATI Radeon Mobility 9000 (M9) Lg (AGP),
        ATI Radeon 9100 IGP (A5) 5834,
        ATI Radeon Mobility 9100 IGP (U3) 5835,
        ATI Radeon 9200PRO 5960 (AGP), ATI Radeon 9200 5961 (AGP),
        ATI Radeon 9200 5962 (AGP), ATI Radeon 9200SE 5964 (AGP),
        ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
        ATI Radeon Mobility 9200 (M9+) 5C63 (AGP), ATI Radeon 9500 AD
(AGP),
        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
        ATI FireGL Z1 AG (AGP), ATI Radeon 9700 Pro ND (AGP),
        ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9700 NF (AGP),
        ATI FireGL X1 NG (AGP), ATI Radeon 9600 AP (AGP),
        ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
        ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP),
        ATI FireGL RV360 AV (AGP), ATI Radeon Mobility 9600 (M10) NP
(AGP),
        ATI Radeon Mobility 9600 (M10) NQ (AGP),
        ATI Radeon Mobility 9600 (M11) NR (AGP),
        ATI Radeon Mobility 9600 (M10) NS (AGP),
        ATI FireGL Mobility T2 (M10) NT (AGP),
        ATI FireGL Mobility T2 (M11) NV (AGP), ATI Radeon 9800SE AH (AGP),
        ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
        ATI FireGL X2 AK (AGP), ATI Radeon 9800PRO NH (AGP),
        ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
       ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
        ATI Radeon 9800XT NJ (AGP)
(II) Primary Device is: PCI 00:0d:0
(II) ATI:  Candidate "Device" section "ATI Rage Mobility P/M".
(II) ATI:  Shared PCI/AGP Mach64 in slot 0:13:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 0:13:0 assigned to active
"Device" section "ATI Rage Mobility P/M".
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x107fffff (0x10700000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x10800080 - 0x108000ff (0x80) MX[B]
        [6] -1  0       0x10800000 - 0x1080007f (0x80) MX[B]
        [7] -1  0       0xfc104800 - 0xfc1049ff (0x200) MX[B]
        [8] -1  0       0xfc108000 - 0xfc10ffff (0x8000) MX[B]
        [9] -1  0       0xfc000000 - 0xfbffffff (0x0) MX[B]O
        [10] -1 0       0xfc105000 - 0xfc105fff (0x1000) MX[B](B)
        [11] -1 0       0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [12] -1 0       0xfc100000 - 0xfc103fff (0x4000) MX[B]
        [13] -1 0       0xfc104000 - 0xfc1047ff (0x800) MX[B]
        [14] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [15] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [16] -1 0       0x00004000 - 0x0000407f (0x80) IX[B]
        [17] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [18] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [19] -1 0       0x00001400 - 0x000014ff (0x100) IX[B](B)
        [20] -1 0       0x00001010 - 0x00001013 (0x4) IX[B]
        [21] -1 0       0x00001080 - 0x000010bf (0x40) IX[B]
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module atimisc: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 6.5.6
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.7
(II) resource ranges after probing:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x107fffff (0x10700000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x10800080 - 0x108000ff (0x80) MX[B]
        [6] -1  0       0x10800000 - 0x1080007f (0x80) MX[B]
        [7] -1  0       0xfc104800 - 0xfc1049ff (0x200) MX[B]
        [8] -1  0       0xfc108000 - 0xfc10ffff (0x8000) MX[B]
        [9] -1  0       0xfc000000 - 0xfbffffff (0x0) MX[B]O
        [10] -1 0       0xfc105000 - 0xfc105fff (0x1000) MX[B](B)
        [11] -1 0       0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [12] -1 0       0xfc100000 - 0xfc103fff (0x4000) MX[B]
        [13] -1 0       0xfc104000 - 0xfc1047ff (0x800) MX[B]
        [14] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [15] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [16] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [17] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [18] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [19] -1 0       0x00004000 - 0x0000407f (0x80) IX[B]
        [20] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [21] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [22] -1 0       0x00001400 - 0x000014ff (0x100) IX[B](B)
        [23] -1 0       0x00001010 - 0x00001013 (0x4) IX[B]
        [24] -1 0       0x00001080 - 0x000010bf (0x40) IX[B]
        [25] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B]
        [26] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 24, (--) framebuffer bpp 32
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(WW) System lacks support for changing MTRRs
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.1.0
        ABI class: X.Org Video Driver, version 0.7
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 8128 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64RM
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level none
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read failed
(II) ATI(0): BIOS Data:  BIOSSize=0x10000, ROMTable=0x0106.
(II) ATI(0): BIOS Data:  ClockTable=0x0A1E, FrequencyTable=0x09F8.
(II) ATI(0): BIOS Data:  LCDTable=0x0178, LCDPanelInfo=0xEC62.
(II) ATI(0): BIOS Data:  VideoTable=0x0000, HardwareTable=0x0156.
(II) ATI(0): BIOS Data:  I2CType=0x0F, Tuner=0x00, Decoder=0x00,
Audio=0x0F.
(--) ATI(0): ATI 3D Rage Mobility graphics controller detected.
(--) ATI(0): Chip type 4C52 "LR", version 4, foundry TSMC, class 0,
revision 0x01.
(--) ATI(0): PCI bus interface detected;  block I/O base is 0x1400.
(--) ATI(0): ATI Mach64 adapt(!!) ATI(0): For information on using the
multimedia capabilities
        of this adapter, please see http://gatos.sf.net.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 888
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(--) ATI(0): 1024x480 panel (ID 1) detected.
(--) ATI(0): Panel model Sharp.
(--) ATI(0): Panel clock is 42.406 MHz.
(II) ATI(0): Using digital flat panel interface.
(II) ATI(0): Storing hardware cursor image at 0xFD7FFC00.
(II) ATI(0): Using 8 MB linear aperture at 0xFD000000.
(!!) ATI(0): Virtual resolutions will be limited to 8191 kB
 due to linear aperture size and/or placement of hardware cursor image
area.
(II) ATI(0): Using Block 0 MMIO aperture at 0xFC105400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xFC105000.
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SDRAM (1:1) detected (using 8191 kB).
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(II) ATI(0): Engine XCLK 124.453 MHz;  Refresh rate code 12.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 29.500 MHz.
(II) ATI(0): Maximum clock: 230.00 MHz
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "400x300" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "400x300" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "400x300" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "400x300" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "400x300" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "400x300" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "512x384" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "512x384" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "512x384" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "512x384" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1152x864" (width too large for
virtual size)
(II) ATI(0): Not using default mode "576x432" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1280x960" (width too large for
virtual size)
(II) ATI(0): Not using default mode "640x480" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1280x960" (width too large for
virtual size)
(II) ATI(0): Not using default mode "640x480" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1280x1024" (width too large for
virtual size)
(II) ATI(0): Not using default mode "640x512" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1280x1024" (width too large for
virtual size)
(II) ATI(0): Not using default mode "640x512" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1280x1024" (width too large for
virtual size)
(II) ATI(0): Not using default mode "640x512" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1600x1200" (width too large for
virtual size)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1600x1200" (width too large for
virtual size)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1600x1200" (width too large for
virtual size)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1600x1200" (width too large for
virtual size)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1600x1200" (width too large for
virtual size)
(II) ATI(0): Not using default mode "800x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1792x1344" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "896x672" (exceeds panel
dimens(II) ATI(0): Not using default mode "1856x1392" (insufficient
memory for mode)
(II) ATI(0): Not using default mode "928x696" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1856x1392" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "928x696" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1920x1440" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x720" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1920x1440" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x720" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "832x624" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "416x312" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1152x768" (width too large for
virtual size)
(II) ATI(0): Not using default mode "576x384" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1152x864" (width too large for
virtual size)
(II) ATI(0): Not using default mode "576x432" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1400x1050" (width too large for
virtual size)
(II) ATI(0): Not using default mode "700x525" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1400x1050" (width too large for
virtual size)
(II) ATI(0): Not using default mode "700x525" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1400x1050" (width too large for
virtual size)
(II) ATI(0): Not using default mode "700x525" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1400x1050" (width too large for
virtual size)
(II) ATI(0): Not using default mode "700x525" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1600x1024" (width too large for
virtual size)
(II) ATI(0): Not using default mode "800x512" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1920x1200" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x600" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "1920x1440" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "960x720" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "2048x1536" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "2048x1536" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using default mode "2048x1536" (insufficient memory
for mode)
(II) ATI(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) ATI(0): Not using mode "800x600" (no mode of this name)
(**) ATI(0): Virtual size is 1024x768 (pitch 1024)
(**) ATI(0): *Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) ATI(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484
509 -hsync -vsync
(**) ATI(0):  Mode "1024x480": 65.0 MHz, 48.4 kHz, 86.4 Hz
(II) ATI(0): Modeline "1024x480"   65.00  1024 1032 1176 1344  480 488
494 560 -hsync -vsync
(**) ATI(0):  Built-in mode "Native panel mode": 42.4 MHz, 40.8 kHz,
84.6 Hz
(II) ATI(0): Modeline "Native panel mode"   42.41  1024 1024 1032 1040
 480 480 481 482
(**) ATI(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) ATI(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484
500 -hsync -vsync
(**) ATI(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) ATI(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491
520 -hsync -vsync
(**) ATI(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) ATI(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492
525 -hsync -vsync
(**) ATI(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(II) ATI(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404
446 -hsync +vsync
(**) ATI(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) ATI(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404
445 -hsync +vsync
(**) ATI(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) ATI(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385
445 +hsync -vsync
(**) ATI(0):  Default mode "512x384": 22.4 MHz, 35.5 kHz, 87.1 Hz (D)
(II) ATI(0): Modeline "512x384"   22.45  512 516 604 632  384 384 388
409 interlace doublescan +hsync +vsync
(**) ATI(0):  Default mode "320x240": 18.0 MHz, 43.3 kHz, 85.2 Hz (D)
(II) ATI(0): Modeline "320x240"   18.00  320 348 376 416  240 240 242
254 doublescan -hsync -vsync
(**) ATI(0):  Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
(II) ATI(0): Modeline "320x240"   15.75  320 328 360 420  240 240 242
250 doublescan -hsync -vsync
(**) ATI(0):  Default mode "320x240": 15.8 MHz, 37.9 kHz, 72.8 Hz (D)
(II) ATI(0): Modeline "320x240"   15.75  320 332 352 416  240 244 245
260 doublescan -hsync -vsync
(**) ATI(0):  Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
(II) ATI(0): Modeline "320x240"   12.60  320 328 376 400  240 245 246
262 doublescan -hsync -vsync
(**) ATI(0):  Default mode "360x200": 17.8 MHz, 37.9 kHz, 85.0 Hz (D)
(II) ATI(0): Modeline "360x200"   17.75  360 378 414 468  200 200 202
223 doublescan -hsync +vsync
(**) ATI(0):  Default mode "320x200": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) ATI(0): Modeline "320x200"   15.75  320 336 368 416  200 200 202
222 doublescan -hsync +vsync
(**) ATI(0):  Default mode "320x175": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) ATI(0): Modeline "320x175"   15.75  320 336 368 416  175 191 192
222 doublescan +hsync -vsync
(==) ATI(0): DPI set to (75, 75)
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.1.0
        ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 0.1.0
        ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="X.Org Foundation"
        compiled for 6.7.0, module version = 1.2.0
        ABI class: X.Org Video Driver, version 0.7
(II) ATI(0): I2C bus "Mach64" initialized.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0       0xfc105000 - 0xfc105fff (0x1000) MS[B]
        [1] 0   0       0xfd000000 - 0xfdffffff (0x1000000) MS[B]
        [2] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0       0x00100000 - 0x107fffff (0x10700000) MX[B]E(B)
        [4] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0       0x10800080 - 0x108000ff (0x80) MX[B]
        [8] -1  0       0x10800000 - 0x1080007f (0x80) MX[B]
        [9] -1  0       0xfc104800 - 0xfc1049ff (0x200) MX[B]
        [10] -1 0       0xfc108000 - 0xfc10ffff (0x8000) MX[B]
        [11] -1 0       0xfc000000 - 0xfbffffff (0x0) MX[B]O
        [12] -1 0       0xfc105000 - 0xfc105fff (0x1000) MX[B](B)
        [13] -1 0       0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
        [14] -1 0       0xfc100000 - 0xfc103fff (0x4000) MX[B]
        [15] -1 0       0xfc104000 - 0xfc1047ff (0x800) MX[B]
        [16] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
        [17] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
        [18] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
        [19] 0  0       0x00001400 - 0x000014ff (0x100) IS[B]
        [20] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [21] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [22] -1 0       0x00004000 - 0x0000407f (0x80) IX[B]
        [23] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [24] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [25] -1 0       0x00001400 - 0x000014ff (0x100) IX[B](B)
        [26] -1 0       0x00001010 - 0x00001013 (0x4) IX[B]
        [27] -1 0       0x00001080 - 0x000010bf (0x40) IX[B]
        [28] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [29] 0  0       0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) ATI(0): Largest offscreen areas (with overlaps):
(II) ATI(0):    1024 x 1279 rectangle at 0,768
(II) ATI(0):    768 x 1280 rectangle at 0,768
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                10 256x256 slots
(==) ATI(0): Backing store disabled
(==) ATI(0): Silken mouse enabled
(**) Option "dpms"
(**) ATI(0): DPMS enabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Keyboard "Keyboard0" handled by legacy driver
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Device: "/dev/input/mice"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "AlwaysCore"
(**) Mouse0: always reports core events
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "yes"
(**) Option "Emulate3Timeout" "50"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(**) Option "Protocol" "PS/2"
(**) USBMouse0: Device: "/dev/usb/mouse"
(**) USBMouse0: Protocol: "PS/2"
(**) Option "AlwaysCore"
(**) USBMouse0: always reports core events
(**) Option "Device" "/dev/usb/mouse"
(EE) xf86OpenSerial: Cannot open device /dev/usb/mouse
        No such file or directory.
(WW) USBMouse0: cannot open input device
(==) USBMouse0: Emulate3Buttons, Emulate3Timeout: 50
(==) USBMouse0: Buttons: 3
(II) XINPUT: Adding extended input device "USBMouse0" (type: MOUSE)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded
(EE) xf86OpenSerial: Cannot open device /dev/usb/mouse
        No such file or directory.
(WW) USBMouse0: cannot open input device

======================================================================

Here's /var/log/messages on going from runlevel 3 to 5
Jun  1 16:17:40 vatersay init: Switching to runlevel: 5
Jun  1 16:17:41 vatersay readahead_early: Starting background readahead:
Jun  1 16:17:41 vatersay rc: Starting readahead_early:  succeeded
Jun  1 16:17:42 vatersay cpuspeed: Error: Cannot write to speed
control file: /sys/devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Jun  1 16:17:42 vatersay cpuspeed: Error: No such file or directory
Jun  1 16:17:42 vatersay cpuspeed: cpuspeed startup failed
Jun  1 16:17:43 vatersay irqbalance: irqbalance startup succeeded
Jun  1 16:17:46 vatersay autofs: automount startup succeeded


======================================================================











Comment 3 des johnston 2004-06-14 15:27:51 EDT
Removing the modeline in the XF86Config above will allow
15bpp and 16bpp to run, but the horizontal resolution is wrong in
both these cases, stretching the virtual desktop off screen horizontally
and looking pretty ugly.
Comment 4 Mike A. Harris 2004-07-06 00:41:01 EDT
Please use bugzilla's file attachment feature to attach the files
(one uncompressed file per attachment), rather than cut and pasting
them into the comment area as cut and pasted files get munged and
are usually unuseable as-is for troubleshooting purposes.  It also
makes the bug report very difficult to read/follow.

I'll need you to provide the config file and log files for each
color depth (8/16/24) for comparative purposes.

Thanks in advance.


(Unrelated side note:  Your mouse is configured to use
 /dev/usb/mouse, however it is recommended to use /dev/input/mice
 instead)
Comment 5 Mike A. Harris 2004-07-06 00:59:02 EDT
You also have another bug in your config file:

        Load  ""

Comment 6 des johnston 2004-07-13 10:07:50 EDT
Booting with vga=0x311 puts you into framebuffer mode and allows
24bpp to work.

Only changes in my config files for 8/15/16/24bpp are the DefaultDepth
setting, and log files are identical modulo this.

Comment 7 Mike A. Harris 2005-03-06 16:59:28 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.